org.richfaces.log

## Class JavaLogger

- java.lang.Object
- - org.richfaces.log.JavaLogger

- All Implemented Interfaces:
    Logger

      public class JavaLogger
      extends Object
      implements Logger

  That logger delegates all calls to the JDK `Logger`

  Author:
    asmirnov@exadel.com, nick

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.richfaces.log.Logger

      `Logger.Level`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RICHFACES_LOG`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(CharSequence content)`
    `void` | `debug(CharSequence content, Throwable thrown)`
    `void` | `debug(Enum<?> messageKey, Object... args)`
    `void` | `debug(Throwable thrown)`
    `void` | `debug(Throwable error, Enum<?> messageKey, Object... args)`
    `void` | `error(CharSequence content)`
    `void` | `error(CharSequence content, Throwable thrown)`
    `void` | `error(Enum<?> messageKey, Object... args)`
    `void` | `error(Throwable thrown)`
    `void` | `error(Throwable error, Enum<?> messageKey, Object... args)`
    `void` | `info(CharSequence content)`
    `void` | `info(CharSequence content, Throwable thrown)`
    `void` | `info(Enum<?> messageKey, Object... args)`
    `void` | `info(Throwable thrown)`
    `void` | `info(Throwable error, Enum<?> messageKey, Object... args)`
    `boolean` | `isDebugEnabled()`
    `boolean` | `isErrorEnabled()`
    `boolean` | `isInfoEnabled()`
    `boolean` | `isLogEnabled(Logger.Level level)`
    `boolean` | `isWarnEnabled()`
    `void` | `log(Logger.Level level, CharSequence content)`
    `void` | `log(Logger.Level level, CharSequence content, Throwable thrown)`
    `void` | `log(Logger.Level level, Enum<?> messageKey, Object... args)`
    `void` | `log(Logger.Level level, Throwable thrown)`
    `void` | `log(Logger.Level level, Throwable thrown, Enum<?> messageKey, Object... args)`
    `void` | `warn(CharSequence content)`
    `void` | `warn(CharSequence content, Throwable thrown)`
    `void` | `warn(Enum<?> messageKey, Object... args)`
    `void` | `warn(Throwable thrown)`
    `void` | `warn(Throwable error, Enum<?> messageKey, Object... args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RICHFACES_LOG

          public static final String RICHFACES_LOG

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Description copied from interface: `Logger`

      Specified by:
        `isDebugEnabled` in interface `Logger`
      Returns:

    - #### debug

          public void debug(CharSequence content)

      Description copied from interface: `Logger`

      Specified by:
        `debug` in interface `Logger`

    - #### debug

          public void debug(Enum<?> messageKey,
                   Object... args)

      Description copied from interface: `Logger`

      Specified by:
        `debug` in interface `Logger`

    - #### debug

          public void debug(CharSequence content,
                   Throwable thrown)

      Description copied from interface: `Logger`

      Specified by:
        `debug` in interface `Logger`

    - #### debug

          public void debug(Throwable error,
                   Enum<?> messageKey,
                   Object... args)

      Description copied from interface: `Logger`

      Specified by:
        `debug` in interface `Logger`

    - #### debug

          public void debug(Throwable thrown)

      Description copied from interface: `Logger`

      Specified by:
        `debug` in interface `Logger`

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Description copied from interface: `Logger`

      Specified by:
        `isInfoEnabled` in interface `Logger`
      Returns:

    - #### info

          public void info(CharSequence content)

      Description copied from interface: `Logger`

      Specified by:
        `info` in interface `Logger`

    - #### info

          public void info(Enum<?> messageKey,
                  Object... args)

      Description copied from interface: `Logger`

      Specified by:
        `info` in interface `Logger`

    - #### info

          public void info(CharSequence content,
                  Throwable thrown)

      Description copied from interface: `Logger`

      Specified by:
        `info` in interface `Logger`

    - #### info

          public void info(Throwable error,
                  Enum<?> messageKey,
                  Object... args)

      Description copied from interface: `Logger`

      Specified by:
        `info` in interface `Logger`

    - #### info

          public void info(Throwable thrown)

      Description copied from interface: `Logger`

      Specified by:
        `info` in interface `Logger`

    - #### isWarnEnabled

          public boolean isWarnEnabled()

      Description copied from interface: `Logger`

      Specified by:
        `isWarnEnabled` in interface `Logger`
      Returns:

    - #### warn

          public void warn(CharSequence content)

      Description copied from interface: `Logger`

      Specified by:
        `warn` in interface `Logger`

    - #### warn

          public void warn(Enum<?> messageKey,
                  Object... args)

      Description copied from interface: `Logger`

      Specified by:
        `warn` in interface `Logger`

    - #### warn

          public void warn(CharSequence content,
                  Throwable thrown)

      Description copied from interface: `Logger`

      Specified by:
        `warn` in interface `Logger`

    - #### warn

          public void warn(Throwable error,
                  Enum<?> messageKey,
                  Object... args)

      Description copied from interface: `Logger`

      Specified by:
        `warn` in interface `Logger`

    - #### warn

          public void warn(Throwable thrown)

      Description copied from interface: `Logger`

      Specified by:
        `warn` in interface `Logger`

    - #### isErrorEnabled

          public boolean isErrorEnabled()

      Description copied from interface: `Logger`

      Specified by:
        `isErrorEnabled` in interface `Logger`
      Returns:

    - #### error

          public void error(CharSequence content)

      Description copied from interface: `Logger`

      Specified by:
        `error` in interface `Logger`

    - #### error

          public void error(Enum<?> messageKey,
                   Object... args)

      Description copied from interface: `Logger`

      Specified by:
        `error` in interface `Logger`

    - #### error

          public void error(CharSequence content,
                   Throwable thrown)

      Description copied from interface: `Logger`

      Specified by:
        `error` in interface `Logger`

    - #### error

          public void error(Throwable error,
                   Enum<?> messageKey,
                   Object... args)

      Description copied from interface: `Logger`

      Specified by:
        `error` in interface `Logger`

    - #### error

          public void error(Throwable thrown)

      Description copied from interface: `Logger`

      Specified by:
        `error` in interface `Logger`

    - #### isLogEnabled

          public boolean isLogEnabled(Logger.Level level)

      Description copied from interface: `Logger`

      Specified by:
        `isLogEnabled` in interface `Logger`
      Returns:

    - #### log

          public void log(Logger.Level level,
                 CharSequence content)

      Description copied from interface: `Logger`

      Specified by:
        `log` in interface `Logger`

    - #### log

          public void log(Logger.Level level,
                 Enum<?> messageKey,
                 Object... args)

      Description copied from interface: `Logger`

      Specified by:
        `log` in interface `Logger`

    - #### log

          public void log(Logger.Level level,
                 CharSequence content,
                 Throwable thrown)

      Description copied from interface: `Logger`

      Specified by:
        `log` in interface `Logger`

    - #### log

          public void log(Logger.Level level,
                 Throwable thrown,
                 Enum<?> messageKey,
                 Object... args)

      Description copied from interface: `Logger`

      Specified by:
        `log` in interface `Logger`

    - #### log

          public void log(Logger.Level level,
                 Throwable thrown)

      Description copied from interface: `Logger`

      Specified by:
        `log` in interface `Logger`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.